{
  "apiVersion": "v1",
  "kind": "ConfigMap",
  "metadata": {
    "name": "hwlab-code-agent-codex-config",
    "namespace": "hwlab-dev",
    "labels": {
      "app.kubernetes.io/name": "hwlab-code-agent-codex-config",
      "hwlab.pikastech.local/service-id": "hwlab-cloud-api"
    }
  },
  "data": {
    "config.toml": "model_provider = \"OpenAI\"\nmodel = \"gpt-5.4\"\nreview_model = \"gpt-5.4\"\nmodel_reasoning_effort = \"xhigh\"\ndisable_response_storage = true\nnetwork_access = \"enabled\"\nmodel_context_window = 1000000\nmodel_auto_compact_token_limit = 900000\n\n[model_providers.OpenAI]\nname = \"OpenAI\"\nbase_url = \"https://hyueapi.com\"\nwire_api = \"responses\"\nrequires_openai_auth = true\n\n[model_providers.crs]\nrequest_max_retries = 1000\nstream_max_retries = 1000\nname = \"crs\"\nbase_url = \"https://api.gptclubapi.xyz/openai\"\nwire_api = \"responses\"\nrequires_openai_auth = true\nenv_key = \"CRS_OAI_KEY\"\n"
  }
}
